Package de.gebit.integrity.remoting.transport.enums

## Enum BreakpointActions

- java.lang.Object
- - java.lang.Enum<BreakpointActions>
  - - de.gebit.integrity.remoting.transport.enums.BreakpointActions

- All Implemented Interfaces:
    `Serializable`, `Comparable<BreakpointActions>`

      public enum BreakpointActions
      extends Enum<BreakpointActions>

  Valid actions for breakpoints.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATE` | Create a breakpoint.
    `REMOVE` | Remove a breakpoint.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BreakpointActions` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BreakpointActions[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final BreakpointActions CREATE

      Create a breakpoint.

    - #### REMOVE

          public static final BreakpointActions REMOVE

      Remove a breakpoint.

  - ### Method Detail

    - #### values

          public static BreakpointActions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BreakpointActions c : BreakpointActions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BreakpointActions valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null